%define upstream_name    Config-GitLike
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Git-like config file parsing with cascaded inheritance
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(Test::Exception)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module handles interaction with configuration files of the style used
by the version control system Git. It can both parse and modify these
files, as well as create entirely new ones.

You only need to know a few things about the configuration format in order
to use this module. First, a configuration file is made up of key/value
pairs. Every key must be contained in a section. Sections can have
subsections, but they don't have to. For the purposes of setting and
getting configuration variables, we join the section name, subsection name,
and variable name together with dots to get a key name that looks like
"section.subsection.variable". These are the strings that you'll be passing
in to 'key' arguments.

Configuration files inherit from each other. By default, 'Config::GitLike'
loads data from a system-wide configuration file, a per-user configuration
file, and a per-directory configuration file, but by subclassing and
overriding methods you can obtain any combination of configuration files.
By default, configuration files that don't exist are just skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/Config/

%changelog
* Sat Mar 14 2020 tv <tv> 1.180.0-1.mga8
+ Revision: 1556199
- update to 1.18

* Wed Feb 12 2020 umeabot <umeabot> 1.170.0-7.mga8
+ Revision: 1503590
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.170.0-6.mga7
+ Revision: 1282338
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.170.0-5.mga7
+ Revision: 1163471
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 guillomovitch <guillomovitch> 1.170.0-4.mga7
+ Revision: 1158936
- new version 1.17

* Sun Sep 24 2017 tv <tv> 1.160.0-4.mga7
+ Revision: 1158750
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 1.160.0-3.mga6
+ Revision: 1024288
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.160.0-2.mga6
+ Revision: 967206
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.160.0-1.mga6
+ Revision: 848519
- update to 1.16

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 747345
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.150.0-3.mga5
+ Revision: 732954
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-2.mga5
+ Revision: 683978
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.150.0-1.mga5
+ Revision: 639944
- update to 1.15

* Wed May 21 2014 sander85 <sander85> 1.140.0-1.mga5
+ Revision: 624716
- update to 1.14

* Tue May 06 2014 jquelin <jquelin> 1.130.0-1.mga5
+ Revision: 620480
- update to 1.13

* Sat Oct 19 2013 umeabot <umeabot> 1.120.0-2.mga4
+ Revision: 531545
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 463926
- update to 1.12

* Sun Aug 04 2013 sander85 <sander85> 1.110.0-1.mga4
+ Revision: 463530
- update to 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 364626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 317611
- update to 1.10

* Wed Aug 29 2012 kharec <kharec> 1.90.0-1.mga3
+ Revision: 285209
- update to 1.09

* Thu Feb 23 2012 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 212735
- update to 1.08

* Thu Nov 03 2011 jquelin <jquelin> 1.70.0-1.mga2
+ Revision: 162181
- update to 1.07

* Thu Oct 13 2011 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 154268
- update to 1.06

* Mon Jan 24 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 36160
- mageia rebuild
- imported package perl-Config-GitLike

